Bug 239653

Summary: databases/mariadb103-server upgrade to 10.3.17
Product: Ports & Packages Reporter: michael.glaus
Component: Individual Port(s)Assignee: Bernard Spil <brnrd>
Status: Closed FIXED    
Severity: Affects Many People CC: brnrd, d.stoye, linus.sundqvist, pascal.christen, santhosh.raju
Priority: --- Keywords: security
Version: LatestFlags: bugzilla: maintainer-feedback? (brnrd)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for update
none
Fixes build failures for MDEV-20248 brnrd: maintainer-approval+

Comment 1 michael.glaus 2019-08-05 07:58:56 UTC
Created attachment 206288 [details]
Patch for update
Comment 2 Bernard Spil freebsd_committer 2019-08-05 12:43:06 UTC
I've built it when it was released (all options enabled) and it failed on some C error. Can you please try that and see if you can come up with a patch?
Comment 3 Pascal Christen 2019-08-06 06:26:05 UTC
(In reply to Bernard Spil from comment #2)

I didn't get any errors built with FB112 and FB113. Can you give me the error you got so I can take a look at it?
Comment 4 Pascal Christen 2019-08-06 15:54:07 UTC
Something related to this?
https://github.com/openbsd/ports/commit/ef7c6a78f5a869f65048018fc84eaeb10b3fca6b
Comment 5 Bernard Spil freebsd_committer 2019-08-06 18:51:16 UTC
(In reply to Pascal Christen from comment #3)
That patch from Stephen Henderson only modifies some linker flags.
Issues that I'm running into (all options enabled!) are more like

https://jira.mariadb.org/browse/MDEV-20258
https://jira.mariadb.org/browse/MDEV-20248

Help much appreciated. Work is crazy at the moment!
Comment 6 Santhosh Raju 2019-08-12 02:49:53 UTC
Created attachment 206461 [details]
Fixes build failures for MDEV-20248

(In reply to Bernard Spil from comment #5)

Hello Bernard

In addition to the above patch for update submitted by Michael, I have an additional patch that defines "JEMALLOC_USABLE_SIZE_CONST" to be "const" in the file indicated by the build failure in 

https://jira.mariadb.org/browse/MDEV-20248

I have patched the file with the following lines

#ifdef __FreeBSD__
#define JEMALLOC_USABLE_SIZE_CONST const
#endif

this is based on my look up of the function prototype of "malloc_usable_size()" from jemalloc(3) man page. (I hope the fix is correct.)

The seems to solve the build failure issue when "all options" are selected like you have mentioned in your reply.

I am not able to replicate the other Bug report

https://jira.mariadb.org/browse/MDEV-20258

I shall try out the mutually exclusive options at the end and see if I can replicate the build failure from my end.
Comment 7 Bernard Spil freebsd_committer 2019-08-20 18:57:54 UTC
Comment on attachment 206461 [details]
Fixes build failures for MDEV-20248

Thanks!

Patch looks good to me.

Adding another patch for the jemalloc issue, marking TokuDB BROKEN for now.

Running builds on 120/112 amd64/i386, expect a commit shortly!
Comment 8 Santhosh Raju 2019-08-21 21:47:08 UTC
(In reply to Bernard Spil from comment #7)

Did the builds go fine?
Comment 9 Daniel 2019-09-03 09:49:49 UTC
any news? as this is a security related update,
is there still something todo, or can it be
released?
Comment 11 Daniel 2019-09-03 09:52:14 UTC
thx, i'm sorry
Comment 12 Bernard Spil freebsd_committer 2019-09-03 18:44:19 UTC
Forgot PR reference in commit msg :/